<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.xval.BrowseArchivedVersionsOfXValidators']}</h2>
        <s:div id="globalDiv">
                <h:outputText value="#{messages['net.ihe.gazelle.xval.NoArchiveAvailableByNow']}"
                              rendered="#{deprecatedValidatorManager.isEmpty()}" styleClass="message"/>
            <h:form id="criteriaForm">
                <s:token allowMultiplePosts="true"/>
                <s:decorate template="/layout/panels/_panel_title_footer.xhtml"
                            rendered="#{not deprecatedValidatorManager.isEmpty()}">
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['net.ihe.gazelle.xval.SearchCriteria']}"/>
                    </ui:define>
                    <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
                    <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                                   value="#{deprecatedValidatorManager.filter.urlParameters}"/>
                    <script>
                        updateUrl("criteriaForm:filterUrlParameters");
                        jq162("#criteriaForm\\:filterUrlParameters").bind('change',
                                function () {
                                    updateUrl("criteriaForm:filterUrlParameters");
                                });
                    </script>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterWidth" value="240"/>
                                <ui:param name="filter" value="#{deprecatedValidatorManager.filter}"/>
                                <ui:param name="filterId" value="name"/>
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xval.Name']}"/>
                                <ui:param name="filterForm" value="globalDiv"/>
                            </ui:include>
                        </div>
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterWidth" value="240"/>
                                <ui:param name="filter" value="#{deprecatedValidatorManager.filter}"/>
                                <ui:param name="filterId" value="afDomain"/>
                                <ui:param name="filterName"
                                          value="#{messages['net.ihe.gazelle.xval.AffinityDomain_2']}"/>
                                <ui:param name="filterForm" value="globalDiv"/>
                            </ui:include>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterWidth" value="240"/>
                                <ui:param name="filter" value="#{deprecatedValidatorManager.filter}"/>
                                <ui:param name="filterId" value="version"/>
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xval.Version']}"/>
                                <ui:param name="filterForm" value="globalDiv"/>
                            </ui:include>
                        </div>
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterWidth" value="240"/>
                                <ui:param name="filter" value="#{deprecatedValidatorManager.filter}"/>
                                <ui:param name="filterId" value="username"/>
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xval.ArchivedBy']}"/>
                                <ui:param name="filterForm" value="globalDiv"/>
                            </ui:include>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filterDate.xhtml">
                                <ui:param name="filter" value="#{deprecatedValidatorManager.filter}"/>
                                <ui:param name="filterId" value="timestamp"/>
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xval.ArchivedOn']}"/>
                                <ui:param name="filterForm" value="globalDiv"/>
                            </ui:include>
                        </div>
                    </div>
                    <ui:define name="panel_footer">
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.ResetCriteria']}"
                                           actionListener="#{deprecatedValidatorManager.reset()}"
                                           styleClass="gzl-btn" render="globalDiv"/>
                    </ui:define>
                </s:decorate>
            </h:form>
                <br/>
                <br/>

                <s:decorate template="/layout/panels/_panel_title.xhtml"
                            rendered="#{not deprecatedValidatorManager.isEmpty()}">
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['net.ihe.gazelle.xval.ArchivedVersions']}"/>
                    </ui:define>
                <h:form>
                    #{dataTableStateHolder.setAscendingOn('name')}
                    <rich:dataTable id="archivesTable"
                                    value="#{deprecatedValidatorManager.getFilteredValues()}" var="val"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                    render="ds">
                        <g:column sortBy="#{'name'}" sortOrder="#{dataTableStateHolder.sortOrders['name']}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.xval.Name']}</ui:define>
                            <h:outputText value="#{val.name}"/>
                        </g:column>
                        <g:column sortBy="#{'affinityDomain'}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.xval.AffinityDomain_3']}
                            </ui:define>
                            <h:outputText value="#{val.affinityDomain}"/>
                        </g:column>
                        <g:column sortBy="#{'version'}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.xval.Version']}</ui:define>
                            <h:outputText value="#{val.version}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.xval.Comment']}</ui:define>
                            <h:outputText value="#{val.comment}" style="white-space:pre;"/>
                        </g:column>
                        <g:column sortBy="#{'lastModified'}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.xval.ArchivedOn']}</ui:define>
                            <g:date date="true" time="true" value="#{val.lastModified}" tooltip="false"/>
                        </g:column>
                        <g:column sortBy="#{'lastModifier'}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.xval.ArchivesBy']}</ui:define>
                            <h:outputText value="#{val.lastModifier}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.xval.Actions']}</ui:define>
                            <div class="gzl-never-wrap">
                                <h:commandLink action="#{deprecatedValidatorManager.display(val)}"
                                               styleClass="action"
                                               title="#{messages['net.ihe.gazelle.xval.Display']}">
                                    <s:span styleClass="fa fa-search gzl-text-blue"/>
                                </h:commandLink>
                                <h:commandLink id="download" action="#{deprecatedValidatorManager.download(val)}"
                                               styleClass="action" title="#{messages['net.ihe.gazelle.xval.Download']}">
                                    <s:span styleClass="fa fa-download gzl-text-blue"/>
                                </h:commandLink>
                                <h:commandLink id="validate" styleClass="action"
                                               actionListener="#{deprecatedValidatorManager.validate(val)}"
                                               title="#{messages['net.ihe.gazelle.xval.UseForValidation']}">
                                    <s:span styleClass="fa fa-play gzl-text-blue"/>
                                </h:commandLink>
                            </div>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="ds"/>
                                <ui:param name="dataTableId" value="archivesTable"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                </h:form>
                </s:decorate>
        </s:div>
    </ui:define>
</ui:composition>
